package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupQuit;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupQuitDao extends BaseDAO<Long, MusicGroupQuit> {

    /**
     * @param musicGroupId: 乐团编号
     * @return int
     * @describe 统计指定乐团退团人数
     * @author Joburgess
     * @date 2019/10/28
     */
    int countMusicGroupQuitNum(String musicGroupId);

    /**
     * 获取用户退出的乐团
     * @param userId
     * @return
     */
    List<MusicGroupQuit> getUserMusicQuit(@Param("userId") Integer userId);
}
