package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrder;

import java.math.BigDecimal;

public class StudentPaymentRouteOrderDto extends StudentPaymentOrder {

    /**
     * 分配分部id
     */
    private Integer routeOrganId;

    /**
     * 分润金额
     */
    private BigDecimal routeAmount;

    /**
     * 分润余额
     */
    private BigDecimal routeBalanceAmount;

    /**
     * 渠道收款账户
     */
    private String merNo;

    /**
     * 备注
     */
    private String feeFlag;

    public Integer getRouteOrganId() {
        return routeOrganId;
    }

    public void setRouteOrganId(Integer routingOrganId) {
        this.routeOrganId = routingOrganId;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getFeeFlag() {
        return feeFlag;
    }

    public void setFeeFlag(String feeFlag) {
        this.feeFlag = feeFlag;
    }

    public BigDecimal getRouteBalanceAmount() {
        return routeBalanceAmount;
    }

    public void setRouteBalanceAmount(BigDecimal routeBalanceAmount) {
        this.routeBalanceAmount = routeBalanceAmount;
    }
}
