package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.DegreeRegistration;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DegreeRegistrationDao extends BaseDAO<Integer, DegreeRegistration> {

    DegreeRegistration findByMobileAndSporadicId(@Param("mobile") String mobile, @Param("sporadicId") Integer sporadicId);

    DegreeRegistration getLock(@Param("id") Integer id);

    DegreeRegistration getTotalAmount(Map<String, Object> params);
}