package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysPaymentConfig;
import com.ym.mec.biz.dal.enums.PaymentChannelEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysPaymentConfigDao extends BaseDAO<Integer, SysPaymentConfig> {
    SysPaymentConfig findPaymentConfigByOrganId(@Param("organId") Integer organId);

    List<SysPaymentConfig> findPaymentConfigByOrganIds(@Param("organIds") List<Integer> organIds);

    List<SysPaymentConfig> getPaymentConfigs(@Param("payType") PaymentChannelEnum payType);
}
