package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StudentPaymentRouteOrder {
    private Long id;

    /**
    * 分配分部id
    */
    private Integer routeOrganId;

    /**
    * 分润金额
    */
    private BigDecimal routeAmount;

    /**
    * 分润余额
    */
    private BigDecimal routeBalanceAmount;

    /**
    * 渠道收款账户
    */
    private String merNo;

    /**
     * 原始订单号
     */
    private String orderNo;

    /**
    * 是否承担手续费Y-是 N-否
    */
    private String feeFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getRouteOrganId() {
        return routeOrganId;
    }

    public void setRouteOrganId(Integer routeOrganId) {
        this.routeOrganId = routeOrganId;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getFeeFlag() {
        return feeFlag;
    }

    public void setFeeFlag(String feeFlag) {
        this.feeFlag = feeFlag;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getRouteBalanceAmount() {
        return routeBalanceAmount;
    }

    public void setRouteBalanceAmount(BigDecimal routeBalanceAmount) {
        this.routeBalanceAmount = routeBalanceAmount;
    }
}