package com.ym.mec.biz.service;


import com.ym.mec.biz.dal.dto.PageInfoOrder;
import com.ym.mec.biz.dal.dto.StudentPaymentRouteOrderDto;
import com.ym.mec.biz.dal.entity.StudentPaymentRouteOrder;
import com.ym.mec.biz.dal.page.StudentPaymentOrderQueryInfo;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;


public interface StudentPaymentRouteOrderService extends BaseService<Long, StudentPaymentRouteOrder> {

	PageInfoOrder<StudentPaymentRouteOrderDto> OrderQueryPage(StudentPaymentOrderQueryInfo queryInfo);

	/**
	 * 添加外部订单
	 * @param studentPaymentRouteOrderDto
	 * @return
	 */
	StudentPaymentRouteOrderDto addOutOrder(StudentPaymentRouteOrderDto studentPaymentRouteOrderDto);

	/**
	 * 添加分润订单
	 * @param orderNo
	 * @param routeOrganId
	 * @param routeAmount
	 * @return
	 */
	StudentPaymentRouteOrder addRouteOrder(String orderNo,Integer routeOrganId, BigDecimal routeAmount);

}